DRM_HANDLE_VBLANK(9)

NAME
drm_handle_vblank - handle a vblank event

SYNOPSIS

bool drm_handle_vblank(struct drm_device * dev, int crtc);

ARGUMENTS

dev
    DRM device

crtc
    where this event occurred

DESCRIPTION

Drivers should call this routine in their vblank interrupt handlers to update the vblank counter and send any signals that may be pending.

This is the legacy version of drm_crtc_handle_vblank.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT